# XF86Config-4 (XFree86 X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the XF86Config-4 manual page.
# (Type "man XF86Config-4" at the shell prompt.)
#
# This file is automatically updated on xserver-xfree86 package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xfree86
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following commands as root:
#
#   cp /etc/X11/XF86Config-4 /etc/X11/XF86Config-4.custom
#   md5sum /etc/X11/XF86Config-4 > /var/lib/xfree86/XF86Config-4.md5sum
#   dpkg-reconfigure xserver-xfree86

Section "Files"
	# if the local font server has problems, we can fall back on these
	FontPath	"/usr/lib/X11/fonts/misc"
	FontPath	"/usr/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/Type1"
	FontPath	"/usr/lib/X11/fonts/Speedo"
	FontPath	"/usr/lib/X11/fonts/100dpi"
	FontPath	"/usr/lib/X11/fonts/75dpi"
	FontPath	"/usr/share/fonts/truetype/freefont"
	FontPath	"/usr/share/fonts/truetype/msttcorefonts"
	FontPath	"/usr/share/fonts/truetype/openoffice"
	FontPath	"/usr/share/fonts/truetype/ttf-bitstream-vera"
	FontPath	"/usr/share/fonts/truetype/ttf-xfree86-nonfree"
EndSection

Section "Module"
	Load	"GLcore"
	Load	"bitmap"
	Load	"dbe"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"record"
	Load	"speedo"
	Load	"type1"
	Load	"vbe"

	Load	"synaptics"
	#Load	"ebeam"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"keyboard"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xfree86"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"mouse"
	Driver		"mouse"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"false"
	Option		"ZAxisMapping"		"4 5"
EndSection

Section "InputDevice"
	Identifier	"touchpad-2.4"
	Driver		"mouse"
	Option		"Device"		"/dev/psaux"
	Option		"Protocol"		"PS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "InputDevice"
  Driver  	"synaptics"
  Identifier  	"touchpad"
  Option 	"Device"  	"/dev/psaux"
  Option	"Protocol"	"auto-dev"
  Option	"LeftEdge"      "1900"
  Option	"RightEdge"     "5600"
  Option	"TopEdge"       "1800"
  Option	"BottomEdge"    "4300"
  Option	"FingerLow"	"25"
  Option	"FingerHigh"	"30"
  Option	"MaxTapTime"	"180"
  Option	"MaxTapMove"	"220"
  Option	"VertScrollDelta" "100000"
  Option	"HorizScrollDelta" "100000"
#  Option	"MinSpeed"	"0.02"
#  Option	"MaxSpeed"	"0.18"
#  Option	"AccelFactor" "0.0010"
  Option	"MinSpeed"	"0.01"
  Option	"MaxSpeed"	"0.10"
  Option	"AccelFactor" "0.0007"
#  Option	"Repeater"	"/dev/ps2mouse"
  Option	"SHMConfig"	"on"
EndSection

#Section "InputDevice"
  #Driver  	"ebeam"
  #Identifier  	"ebeam"
  #Option 	"DriverProgram"  	"/home/patrick/compile/ebeam-xinput/foo"
#EndSection

Section "Device"
	Identifier	"Generic Video Card"
	Driver		"i810"
	VideoRam	16384
	Option	"DisplayInfo" "FALSE"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	HorizSync	28-50
	VertRefresh	43-75
	Option		"DPMS"
	DisplaySize 246 184
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Generic Video Card"
	Monitor		"Generic Monitor"
	DefaultDepth	16
	SubSection "Display"
		Depth		1
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1280x1024" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	#InputDevice	"mouse" "CorePointer"
	InputDevice	"mouse" "SendCoreEvents"
	#InputDevice	"ebeam" "SendCoreEvents"
	InputDevice	"touchpad" "CorePointer"
	#InputDevice	"touchpad-2.4" "CorePointer"
EndSection

Section "DRI"
	Mode	0666
EndSection

